package fr.natan.akkastreamfileprocessingapi.models
import Models.{Person, TvSeries}
object ModelsBuilder {

  def buildPersonModel(map: Map[String, String]): Person = {
    Person(
      map("nconst"),
      map("primaryName"),
      map("birthYear"),
      map("deathYear"),
      map("primaryProfession").split(",").toList,
      map("knownForTitles").split(",").toList,
    )
  }

  def buildTvSerieModel(map: Map[String, String]): TvSeries = {
    val tvSerie: TvSeries = TvSeries(
      map("tconst"),
      map("titleType"),
      map("primaryTitle"),
      map("originalTitle"),
      map("isAdult"),
      map("startYear"),
      map("endYear"),
      map("runtimeMinutes"),
      map("genres")
    )
    tvSerie
  }
}
